diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
index 658a7bf..6b1d348 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
@@ -799,6 +799,14 @@ class FtsDictionaryView(PGChildNodeView):
                               data=res['rows'][0],
                               conn=self.conn, is_displaying=True)
 
+        sql_header = u"""-- Text Search Dictionary: {0}
+
+-- DROP TEXT SEARCH DICTIONARY {0};
+
+""".format(self.qtIdent(self.conn, res['rows'][0]['schema'], res['rows'][0]['name']))
+
+        sql = sql_header + sql
+
         return ajax_response(response=sql.strip('\n'))
 
     @check_precondition
